POST api/TaskControl
Request Information
URI Parameters
None.
Body Parameters
TaskControlRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| pilotId | globally unique identifier |
None. |
|
| executionDate | date |
None. |
|
| dronesList | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"pilotId": "479321a6-4a22-463e-8f46-2674a4812cc4",
"executionDate": "2026-03-20T18:36:25.6812412+00:00",
"dronesList": [
"96787011-4309-4bd8-91af-3810dfb15aa3",
"44b8d8e9-d7aa-432f-8187-b9250da1a708"
]
}
text/html
Sample:
{"pilotId":"479321a6-4a22-463e-8f46-2674a4812cc4","executionDate":"2026-03-20T18:36:25.6812412+00:00","dronesList":["96787011-4309-4bd8-91af-3810dfb15aa3","44b8d8e9-d7aa-432f-8187-b9250da1a708"]}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
TaskControlResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| tasksList | Collection of Task |
None. |
|
| droneRoutes | Collection of DroneRoute |
None. |
Response Formats
application/json, text/json
Sample:
{
"tasksList": [
{
"taskId": "c1cba907-9bad-4887-aeab-2d298167f28b",
"customerId": "7263c3b6-96ec-40a7-b4f7-999b2ad36250",
"fieldId": "2b1a74fd-102b-4792-a30c-70bf1d0bfcbe",
"materialId": "a39f0e1c-8f9b-4a91-a19c-51c48fe57e86",
"protocolId": "8ec3ab8b-83b5-4f9a-a074-07143e4040b9",
"statusId": "98b4be00-28e2-43d5-9268-e969e9d3c98a",
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"executionDate": "2026-03-20T18:36:25.6812412+00:00",
"executionTeam": "sample string 8",
"pilotId": "1b7d3e98-2ec8-470e-82d8-7d4026007be2",
"approvedExecutionDate": "2026-03-20T18:36:25.6812412+00:00",
"approvedStatusId": "50430494-d7bd-4acd-8b56-9fea85b20941",
"scheduledDate": "2026-03-20T18:36:25.6812412+00:00",
"scheduledTeam": "sample string 9",
"executionStatusId": "65d5e0a1-ac39-4535-ac1b-40dd3671dc7c",
"Customer": {
"customerId": "1b2dfc2a-a1e3-483d-9997-0172421178c3",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:25.6812412+00:00"
},
"Material": {
"materialId": "080823ed-e06d-4610-aff3-972cc225088f",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"Pilot": {
"pilotId": "fb205b11-829d-4e16-8fd4-9c2cc56768df",
"name": "sample string 2",
"pilotTypeId": "286e542b-b4b6-47bb-867e-b2b92e5cc7cd",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"PilotType": {
"pilotTypeId": "92e67662-bb58-4621-a69c-14209bf08878",
"name": "sample string 2"
}
},
"Status": {
"statusId": "804adf7c-5c05-4e96-828f-77ce6cc18734",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"Field": {
"fieldId": "04f6d5c1-c5f0-48db-af12-df9956843392",
"customerId": "85b0f920-2db7-43e2-81ea-be9de07f2c9e",
"coordinates": "sample string 3",
"cropName": "sample string 4",
"plotNumber": "sample string 5",
"plantingYear": 1,
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"fullyLoaded": true,
"moagId": "sample string 6",
"isDeleted": true,
"areaSquareMeters": 1.1,
"Customer": {
"customerId": "1b2dfc2a-a1e3-483d-9997-0172421178c3",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:25.6812412+00:00"
}
},
"Protocol": {
"protocolId": "a18d9617-3fb3-4b47-afe7-3ac511c8678f",
"name": "sample string 2",
"materialId": "6922a765-57c4-4527-866a-ccffd3bef2ef",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"payloadId": "4907f3e6-d45e-4180-8275-f88815a61828",
"nozzle": "sample string 6",
"Material": {
"materialId": "080823ed-e06d-4610-aff3-972cc225088f",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"Payload": {
"payloadId": "c279462d-7a27-43bd-99fa-d4b71cb12a3c",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
}
},
"ApprovedStatus": {
"statusId": "804adf7c-5c05-4e96-828f-77ce6cc18734",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"ExecutionStatus": {
"statusId": "804adf7c-5c05-4e96-828f-77ce6cc18734",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
}
},
{
"taskId": "c1cba907-9bad-4887-aeab-2d298167f28b",
"customerId": "7263c3b6-96ec-40a7-b4f7-999b2ad36250",
"fieldId": "2b1a74fd-102b-4792-a30c-70bf1d0bfcbe",
"materialId": "a39f0e1c-8f9b-4a91-a19c-51c48fe57e86",
"protocolId": "8ec3ab8b-83b5-4f9a-a074-07143e4040b9",
"statusId": "98b4be00-28e2-43d5-9268-e969e9d3c98a",
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"executionDate": "2026-03-20T18:36:25.6812412+00:00",
"executionTeam": "sample string 8",
"pilotId": "1b7d3e98-2ec8-470e-82d8-7d4026007be2",
"approvedExecutionDate": "2026-03-20T18:36:25.6812412+00:00",
"approvedStatusId": "50430494-d7bd-4acd-8b56-9fea85b20941",
"scheduledDate": "2026-03-20T18:36:25.6812412+00:00",
"scheduledTeam": "sample string 9",
"executionStatusId": "65d5e0a1-ac39-4535-ac1b-40dd3671dc7c",
"Customer": {
"customerId": "1b2dfc2a-a1e3-483d-9997-0172421178c3",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:25.6812412+00:00"
},
"Material": {
"materialId": "080823ed-e06d-4610-aff3-972cc225088f",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"Pilot": {
"pilotId": "fb205b11-829d-4e16-8fd4-9c2cc56768df",
"name": "sample string 2",
"pilotTypeId": "286e542b-b4b6-47bb-867e-b2b92e5cc7cd",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"PilotType": {
"pilotTypeId": "92e67662-bb58-4621-a69c-14209bf08878",
"name": "sample string 2"
}
},
"Status": {
"statusId": "804adf7c-5c05-4e96-828f-77ce6cc18734",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"Field": {
"fieldId": "04f6d5c1-c5f0-48db-af12-df9956843392",
"customerId": "85b0f920-2db7-43e2-81ea-be9de07f2c9e",
"coordinates": "sample string 3",
"cropName": "sample string 4",
"plotNumber": "sample string 5",
"plantingYear": 1,
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"fullyLoaded": true,
"moagId": "sample string 6",
"isDeleted": true,
"areaSquareMeters": 1.1,
"Customer": {
"customerId": "1b2dfc2a-a1e3-483d-9997-0172421178c3",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:36:25.6812412+00:00"
}
},
"Protocol": {
"protocolId": "a18d9617-3fb3-4b47-afe7-3ac511c8678f",
"name": "sample string 2",
"materialId": "6922a765-57c4-4527-866a-ccffd3bef2ef",
"marginSpace": 4.1,
"rowSpace": 5.1,
"dunamVolume": 1.1,
"activeIngredientVolume": 1.1,
"waterVolume": 1.1,
"createdDate": "2026-03-20T18:36:25.6812412+00:00",
"payloadId": "4907f3e6-d45e-4180-8275-f88815a61828",
"nozzle": "sample string 6",
"Material": {
"materialId": "080823ed-e06d-4610-aff3-972cc225088f",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"Payload": {
"payloadId": "c279462d-7a27-43bd-99fa-d4b71cb12a3c",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
}
},
"ApprovedStatus": {
"statusId": "804adf7c-5c05-4e96-828f-77ce6cc18734",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
},
"ExecutionStatus": {
"statusId": "804adf7c-5c05-4e96-828f-77ce6cc18734",
"name": "sample string 2",
"createdDate": "2026-03-20T18:36:25.6812412+00:00"
}
}
],
"droneRoutes": [
{
"coordinates": "sample string 1",
"tailNumber": "sample string 2",
"routeChunks": [
{
"coordinates": "sample string 1",
"isOn": true
},
{
"coordinates": "sample string 1",
"isOn": true
}
]
},
{
"coordinates": "sample string 1",
"tailNumber": "sample string 2",
"routeChunks": [
{
"coordinates": "sample string 1",
"isOn": true
},
{
"coordinates": "sample string 1",
"isOn": true
}
]
}
]
}
text/html
Sample:
{"tasksList":[{"taskId":"c1cba907-9bad-4887-aeab-2d298167f28b","customerId":"7263c3b6-96ec-40a7-b4f7-999b2ad36250","fieldId":"2b1a74fd-102b-4792-a30c-70bf1d0bfcbe","materialId":"a39f0e1c-8f9b-4a91-a19c-51c48fe57e86","protocolId":"8ec3ab8b-83b5-4f9a-a074-07143e4040b9","statusId":"98b4be00-28e2-43d5-9268-e969e9d3c98a","createdDate":"2026-03-20T18:36:25.6812412+00:00","executionDate":"2026-03-20T18:36:25.6812412+00:00","executionTeam":"sample string 8","pilotId":"1b7d3e98-2ec8-470e-82d8-7d4026007be2","approvedExecutionDate":"2026-03-20T18:36:25.6812412+00:00","approvedStatusId":"50430494-d7bd-4acd-8b56-9fea85b20941","scheduledDate":"2026-03-20T18:36:25.6812412+00:00","scheduledTeam":"sample string 9","executionStatusId":"65d5e0a1-ac39-4535-ac1b-40dd3671dc7c","Customer":{"customerId":"1b2dfc2a-a1e3-483d-9997-0172421178c3","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:25.6812412+00:00"},"Material":{"materialId":"080823ed-e06d-4610-aff3-972cc225088f","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"Pilot":{"pilotId":"fb205b11-829d-4e16-8fd4-9c2cc56768df","name":"sample string 2","pilotTypeId":"286e542b-b4b6-47bb-867e-b2b92e5cc7cd","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:36:25.6812412+00:00","PilotType":{"pilotTypeId":"92e67662-bb58-4621-a69c-14209bf08878","name":"sample string 2"}},"Status":{"statusId":"804adf7c-5c05-4e96-828f-77ce6cc18734","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"Field":{"fieldId":"04f6d5c1-c5f0-48db-af12-df9956843392","customerId":"85b0f920-2db7-43e2-81ea-be9de07f2c9e","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:36:25.6812412+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"1b2dfc2a-a1e3-483d-9997-0172421178c3","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:25.6812412+00:00"}},"Protocol":{"protocolId":"a18d9617-3fb3-4b47-afe7-3ac511c8678f","name":"sample string 2","materialId":"6922a765-57c4-4527-866a-ccffd3bef2ef","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:36:25.6812412+00:00","payloadId":"4907f3e6-d45e-4180-8275-f88815a61828","nozzle":"sample string 6","Material":{"materialId":"080823ed-e06d-4610-aff3-972cc225088f","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"Payload":{"payloadId":"c279462d-7a27-43bd-99fa-d4b71cb12a3c","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"}},"ApprovedStatus":{"statusId":"804adf7c-5c05-4e96-828f-77ce6cc18734","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"ExecutionStatus":{"statusId":"804adf7c-5c05-4e96-828f-77ce6cc18734","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"}},{"taskId":"c1cba907-9bad-4887-aeab-2d298167f28b","customerId":"7263c3b6-96ec-40a7-b4f7-999b2ad36250","fieldId":"2b1a74fd-102b-4792-a30c-70bf1d0bfcbe","materialId":"a39f0e1c-8f9b-4a91-a19c-51c48fe57e86","protocolId":"8ec3ab8b-83b5-4f9a-a074-07143e4040b9","statusId":"98b4be00-28e2-43d5-9268-e969e9d3c98a","createdDate":"2026-03-20T18:36:25.6812412+00:00","executionDate":"2026-03-20T18:36:25.6812412+00:00","executionTeam":"sample string 8","pilotId":"1b7d3e98-2ec8-470e-82d8-7d4026007be2","approvedExecutionDate":"2026-03-20T18:36:25.6812412+00:00","approvedStatusId":"50430494-d7bd-4acd-8b56-9fea85b20941","scheduledDate":"2026-03-20T18:36:25.6812412+00:00","scheduledTeam":"sample string 9","executionStatusId":"65d5e0a1-ac39-4535-ac1b-40dd3671dc7c","Customer":{"customerId":"1b2dfc2a-a1e3-483d-9997-0172421178c3","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:25.6812412+00:00"},"Material":{"materialId":"080823ed-e06d-4610-aff3-972cc225088f","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"Pilot":{"pilotId":"fb205b11-829d-4e16-8fd4-9c2cc56768df","name":"sample string 2","pilotTypeId":"286e542b-b4b6-47bb-867e-b2b92e5cc7cd","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:36:25.6812412+00:00","PilotType":{"pilotTypeId":"92e67662-bb58-4621-a69c-14209bf08878","name":"sample string 2"}},"Status":{"statusId":"804adf7c-5c05-4e96-828f-77ce6cc18734","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"Field":{"fieldId":"04f6d5c1-c5f0-48db-af12-df9956843392","customerId":"85b0f920-2db7-43e2-81ea-be9de07f2c9e","coordinates":"sample string 3","cropName":"sample string 4","plotNumber":"sample string 5","plantingYear":1,"createdDate":"2026-03-20T18:36:25.6812412+00:00","fullyLoaded":true,"moagId":"sample string 6","isDeleted":true,"areaSquareMeters":1.1,"Customer":{"customerId":"1b2dfc2a-a1e3-483d-9997-0172421178c3","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:36:25.6812412+00:00"}},"Protocol":{"protocolId":"a18d9617-3fb3-4b47-afe7-3ac511c8678f","name":"sample string 2","materialId":"6922a765-57c4-4527-866a-ccffd3bef2ef","marginSpace":4.1,"rowSpace":5.1,"dunamVolume":1.1,"activeIngredientVolume":1.1,"waterVolume":1.1,"createdDate":"2026-03-20T18:36:25.6812412+00:00","payloadId":"4907f3e6-d45e-4180-8275-f88815a61828","nozzle":"sample string 6","Material":{"materialId":"080823ed-e06d-4610-aff3-972cc225088f","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"Payload":{"payloadId":"c279462d-7a27-43bd-99fa-d4b71cb12a3c","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"}},"ApprovedStatus":{"statusId":"804adf7c-5c05-4e96-828f-77ce6cc18734","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"},"ExecutionStatus":{"statusId":"804adf7c-5c05-4e96-828f-77ce6cc18734","name":"sample string 2","createdDate":"2026-03-20T18:36:25.6812412+00:00"}}],"droneRoutes":[{"coordinates":"sample string 1","tailNumber":"sample string 2","routeChunks":[{"coordinates":"sample string 1","isOn":true},{"coordinates":"sample string 1","isOn":true}]},{"coordinates":"sample string 1","tailNumber":"sample string 2","routeChunks":[{"coordinates":"sample string 1","isOn":true},{"coordinates":"sample string 1","isOn":true}]}]}